
Foreman - Bug #6380

VM not created when resubmitting new host form after orchestration failure

06/25/2014 11:46 AM - Dominic Cleal

Status: Assigned   

Priority: Normal   

Assignee:    

Category: Host creation   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

0. Stage some sort of failure during TFTP orchestration (maybe set :tftproot to a bad path in the proxy & restart it)

1. Try creating a new host on a compute resource, which should fail due to TFTP orchestration

2. The new host form reappears with the orchestration error

3. Resubmit the form and the VM is no longer created

(another similar scenario in bug #6379)

What appears to happen is that the form reloads, but without the VM tab.  Next time the form is submitted, no compute_attributes are

sent and so the VM isn't recreated.

Related issues:

Related to Foreman - Bug #5859: VM creation fails after IP conflict Closed 05/21/2014

Blocks Foreman - Bug #6379: 500 ISE on creating a new host: Operation FAILED:... New 06/25/2014

History

#1 - 06/25/2014 11:46 AM - Dominic Cleal

- Blocks Bug #6379: 500 ISE on creating a new host: Operation FAILED: can't convert nil into String added

#2 - 06/25/2014 11:46 AM - Dominic Cleal

- Related to Bug #5859: VM creation fails after IP conflict added

#3 - 06/25/2014 11:51 AM - Dominic Cleal

Note, this then triggers further errors as the host record has compute_resource_id set, but uuid is nil.  Some parts of Foreman just check for

compute_resource_id.present? to see if it's a CR-associated host, and since the UUID's invalid, things like the power state AJAX fail.

#4 - 06/25/2014 12:43 PM - Dominic Cleal

- Description updated

#5 - 06/26/2014 10:23 AM - Anonymous

- Status changed from New to Assigned

- Assignee set to Anonymous

#6 - 08/11/2014 11:47 AM - Yama Kasi

I seems I'm hitting this bug also, actually I come from #5859

Is there some temp fix for this ? It's coming up randomly.
